LinuxQuestions.org
Welcome to the most active Linux Forum on the web.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software
User Name
Password
Linux - Software This forum is for Software issues.
Having a problem installing a new program? Want to know which application is best for the job? Post your question in this forum.

Notices


Reply
  Search this Thread
Old 03-03-2003, 02:15 AM   #1
no1d
LQ Newbie
 
Registered: Feb 2003
Posts: 7

Rep: Reputation: 0
lib help


im trying to install libtiff 3.5.5 in rh8.0... and in the file it says to replace the libtiff on my box with the new libtiff.c and rebuild.... and only libtiff i can find is in /usr/lib and there is a libtiff.a libtiff.so libtiff.so.3 and libtiff.so.3.5 ... so what that indicated that i already hae libtiff 3.5.5 installed cuz of the libtiff.so.3.5 ????? if i don't have it should i gcc libtiff.c -o libtiff.a ? and replace the old one with the new? or replace one of the other files? thanks for the help in advance
 
Old 03-03-2003, 12:03 PM   #2
cnjohnson
Member
 
Registered: Nov 2002
Location: Nashville
Distribution: FreeBSD, Linux, OS-X
Posts: 544

Rep: Reputation: 30
Re: lib help

Quote:
Originally posted by no1d
im trying to install libtiff 3.5.5 in rh8.0... and in the file it says to replace the libtiff on my box with the new libtiff.c and rebuild.... and only libtiff i can find is in /usr/lib and there is a libtiff.a libtiff.so libtiff.so.3 and libtiff.so.3.5 ... so what that indicated that i already hae libtiff 3.5.5 installed cuz of the libtiff.so.3.5 ????? if i don't have it should i gcc libtiff.c -o libtiff.a ? and replace the old one with the new? or replace one of the other files? thanks for the help in advance
Are you sure you don't have it? Do a

#rpm -qa | grep libtiff

and check the output.

Cheers--
Charles
 
Old 03-03-2003, 12:57 PM   #3
Tinkster
Moderator
 
Registered: Apr 2002
Location: in a fallen world
Distribution: slackware by choice, others too :} ... android.
Posts: 23,067
Blog Entries: 11

Rep: Reputation: 910Reputation: 910Reputation: 910Reputation: 910Reputation: 910Reputation: 910Reputation: 910Reputation: 910
How are you trying to install it?
From source or an RPM?

If it's from source, just rpm -e <oldLibTiff>
and them make & make install the new one. :)

Cheers
Tink
 
Old 03-04-2003, 12:38 AM   #4
no1d
LQ Newbie
 
Registered: Feb 2003
Posts: 7

Original Poster
Rep: Reputation: 0
ok so im trying to install enlightenment-0.16.5.1 and i needed that libtiff to run it so i decided to go ahead and try to install it... but when i do it says "required packages:
fnlin >= 5
libFnLib.so.0
libLmlib.so.1
but i have installed
fnlib-0.5 and imlib-1.9.14 which should take care of that right? i installed them by extracting the dir... cd to it typeing ./configure, then make, then make install and i didn't get any error messages just all installing... so whats the prob here? thanks for ur help guys
 
Old 03-04-2003, 01:28 PM   #5
Tinkster
Moderator
 
Registered: Apr 2002
Location: in a fallen world
Distribution: slackware by choice, others too :} ... android.
Posts: 23,067
Blog Entries: 11

Rep: Reputation: 910Reputation: 910Reputation: 910Reputation: 910Reputation: 910Reputation: 910Reputation: 910Reputation: 910
Ran
ldconfig -v | less
after install?
-v j| less ust so you see what gets loaded.

Cheers,
Tink
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
"Locking in" Glibc (replace prob /lib/ld-linux.so.2 with /tools/lib/ld-linux.so.2 irfanali Linux From Scratch 11 06-29-2006 10:19 AM
Compromised? Files "/usr/lib.hwm", "/usr/lib.pwd", "/usr/lib.pwi" Klaus Pforte Linux - Security 4 09-28-2004 11:33 PM
lib.so.6 slim27616 Mandriva 6 08-07-2004 02:17 AM
iiimf-client-lib & iiimf-protocol-lib cooldownguy86 Linux - Software 1 06-29-2004 06:25 AM
/usr/lib and /usr/local/lib doxxan Slackware 5 06-15-2004 12:58 AM


All times are GMT -5. The time now is 03:11 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration